<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:36 UTC 2019 -->
<title>MapPolyline (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MapPolyline (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":42,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":42,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapPolyline.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/MapPolygon.PatternStyle.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/MapPolyline.html" target="_top">Frames</a></li>
<li><a href="MapPolyline.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.mapping</div>
<h2 title="Class MapPolyline" class="title">Class MapPolyline</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/here/android/mpa/common/ViewObject.html" title="class in com.here.android.mpa.common">com.here.android.mpa.common.ViewObject</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">com.here.android.mpa.mapping.MapObject</a></li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.mapping.MapPolyline</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">MapPolyline</span>
extends <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">MapObject</a></pre>
<div class="block">A graphical representation of a <a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common"><code>GeoPolyline</code></a> that
 can be rendered on a map. A <code>MapPolyline</code> has multiple points that combine to create its
 path.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.CapStyle</a></span></code>
<div class="block"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping"><code>MapPolyline.CapStyle</code></a> represents line ending cap rendering styles.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.PatternStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.PatternStyle</a></span></code>
<div class="block"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.PatternStyle.html" title="enum in com.here.android.mpa.mapping"><code>MapPolyline.PatternStyle</code></a> represents available patterns styles for Line or Border.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.com.here.android.mpa.mapping.MapObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">MapObject</a></h3>
<code><a href="../../../../../com/here/android/mpa/mapping/MapObject.Type.html" title="enum in com.here.android.mpa.mapping">MapObject.Type</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code> </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#MapPolyline--">MapPolyline</a></span>()</code>
<div class="block">Creates a <code>MapPolyline</code>, which is a <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> in the shape of a polyline.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code> </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#MapPolyline-com.here.android.mpa.common.GeoPolyline-">MapPolyline</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common">GeoPolyline</a> polyline)</code>
<div class="block">Creates a <code>MapPolyline</code>, which is a <code>MapObject</code> in the shape of a polyline.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#MapPolyline-com.nokia.maps.MapPolylineImpl-">MapPolyline</a></span>(com.nokia.maps.MapPolylineImpl impl)</code> </td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#disableShadow--">disableShadow</a></span>()</code>
<div class="block">Disables shadow for this <code>MapPolyline</code>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#enableShadow-int-float-">enableShadow</a></span>(int width,
            float shearFactor)</code>
<div class="block">Enables shadow for this <code>MapPolyline</code>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.CapStyle</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getCapStyle--">getCapStyle</a></span>()</code>
<div class="block">Gets the <code>MapPolyline</code> rendering cap style.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getCustomPattern--">getCustomPattern</a></span>()</code>
<div class="block">Returns pattern image.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getDashPrimaryLength--">getDashPrimaryLength</a></span>()</code>
<div class="block">Returns the current length of the primary dash segment of a dashed
 <code>MapPolyline</code>, in pixels.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getDashSecondaryLength--">getDashSecondaryLength</a></span>()</code>
<div class="block">Returns the current length of the secondary (empty) dash segments of a dashed
 <code>MapPolyline</code>, in pixels.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getDepthTestEnabled--">getDepthTestEnabled</a></span>()</code>
<div class="block">Returns a <code>boolean</code> indicating whether the <code>MapPolyline</code> is rendered
 with depth test.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common">GeoPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getGeoPolyline--">getGeoPolyline</a></span>()</code>
<div class="block">Gets copy of the <a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common"><code>GeoPolyline</code></a> rendered by this
 <code>MapPolyline</code>.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getLineColor--">getLineColor</a></span>()</code>
<div class="block">Gets the current line color for this <code>MapPolyline</code>, returning an ARGB
 (Alpha/Red/Green/Blue) integer color value.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getLineWidth--">getLineWidth</a></span>()</code>
<div class="block">Returns the current line width for this <code>MapPolyline</code>, in pixels.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getOutlineColor--">getOutlineColor</a></span>()</code>
<div class="block">Gets the current outline color for this <code>MapPolyline</code>, returning an ARGB
 (Alpha/Red/Green/Blue) integer color value.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getOutlineWidth--">getOutlineWidth</a></span>()</code>
<div class="block">Returns the current outline width for this <code>MapPolyline</code>, in pixels.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.PatternStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.PatternStyle</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getPatternStyle--">getPatternStyle</a></span>()</code>
<div class="block">Method retrieves current pattern of line/border.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getShadowColor--">getShadowColor</a></span>()</code>
<div class="block">Gets the current shadow color for this <code>MapPolyline</code>, returning an ARGB
 (Alpha/Red/Green/Blue) integer color value.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getShadowOffsetX--">getShadowOffsetX</a></span>()</code>
<div class="block">Returns shadow offset from the polyline by X axis in pixels.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getShadowOffsetY--">getShadowOffsetY</a></span>()</code>
<div class="block">Returns shadow offset from the polyline by Y axis in pixels.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getShadowShearFactor--">getShadowShearFactor</a></span>()</code>
<div class="block">Returns shadow shear factor, coefficient of changing shifting the shadow from the
 polyline by X axis.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getShadowSizeIncrement--">getShadowSizeIncrement</a></span>()</code>
<div class="block">Returns shadow size increment, coefficient of the polyline`s shadow width changing in pixels.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getShadowWidth--">getShadowWidth</a></span>()</code>
<div class="block">Return shadow width in pixels.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#isDashEnabled--">isDashEnabled</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> 
<div class="block"><span class="deprecationComment">out of SDK version 3.9
               please use <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getCustomPattern--"><code>MapPolyline.getCustomPattern()</code></a> with <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.PatternStyle.html#DASH_PATTERN"><code>MapPolyline.PatternStyle.DASH_PATTERN</code></a>.</span></div>
</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#isExtrusionEnabled--">isExtrusionEnabled</a></span>()</code>
<div class="block">Returns status of extrusion is it enabled or not.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#isGeodesicEnabled--">isGeodesicEnabled</a></span>()</code>
<div class="block">Returns a boolean indicating whether each segment of this <code>GeoPolyline</code> is drawn as a
 geodesic.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#isPerspectiveEnabled--">isPerspectiveEnabled</a></span>()</code>
<div class="block">Returns a <code>boolean</code> indicating whether the <code>MapPolyline</code> appears thinner further
 away when the map is tilted.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#isShadowEnabled--">isShadowEnabled</a></span>()</code>
<div class="block">Returns a <code>boolean</code> indicating whether the shadow is enabled for this
 <code>MapPolyline</code> or not.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setCapStyle-com.here.android.mpa.mapping.MapPolyline.CapStyle-">setCapStyle</a></span>(<a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.CapStyle</a> style)</code>
<div class="block">Sets the <code>MapPolyline</code> rendering cap style.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setCustomPattern-com.here.android.mpa.common.Image-">setCustomPattern</a></span>(<a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a> icon)</code>
<div class="block">Specifies patter image.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setDashEnabled-boolean-">setDashEnabled</a></span>(boolean enabled)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> 
<div class="block"><span class="deprecationComment">out of SDK version 3.9
               please use <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setCustomPattern-com.here.android.mpa.common.Image-"><code>MapPolyline.setCustomPattern(com.here.android.mpa.common.Image)</code></a> with <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.PatternStyle.html#DASH_PATTERN"><code>MapPolyline.PatternStyle.DASH_PATTERN</code></a>.</span></div>
</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setDashPrimaryLength-int-">setDashPrimaryLength</a></span>(int length)</code>
<div class="block">Sets a length, in pixels, for the primary dash segment of a dashed
 <code>MapPolyline</code>.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setDashSecondaryLength-int-">setDashSecondaryLength</a></span>(int length)</code>
<div class="block">Sets a length, in pixels, for the secondary (empty) dash segments of a dashed
 <code>MapPolyline</code>.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setDepthTestEnabled-boolean-">setDepthTestEnabled</a></span>(boolean enabled)</code>
<div class="block">Set whether to render <code>MapPolyline</code> with depth test.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setExtrusionEnabled-boolean-">setExtrusionEnabled</a></span>(boolean enabled)</code>
<div class="block">Turns extrusion flag ON/OFF.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setGeodesicEnabled-boolean-">setGeodesicEnabled</a></span>(boolean enabled)</code>
<div class="block">Set whether to draw each segment of the represented <code>GeoPolyline</code> as a geodesic.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setGeoPolyline-com.here.android.mpa.common.GeoPolyline-">setGeoPolyline</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common">GeoPolyline</a> polyline)</code>
<div class="block">Changes the GeoPolyline rendered by this <code>GeoPolyline</code></div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setLineColor-int-">setLineColor</a></span>(int color)</code>
<div class="block">Sets a line color for this <code>MapPolyline</code>, using an ARGB (Alpha/Red/Green/Blue) integer
 color value.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setLineWidth-int-">setLineWidth</a></span>(int width)</code>
<div class="block">Sets a line width, in pixels, for this <code>MapPolyline</code>, an <code>int</code>
 value within the [0..100] range.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setOutlineColor-int-">setOutlineColor</a></span>(int color)</code>
<div class="block">Sets an outline color for this <code>MapPolyline</code>, using an ARGB (Alpha/Red/Green/Blue)
 integer color value.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setOutlineWidth-int-">setOutlineWidth</a></span>(int width)</code>
<div class="block">Sets an outline width, in pixels, for this <code>MapPolyline</code>, an <code>int</code>
 value within the [0..100] range.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setPatternStyle-com.here.android.mpa.mapping.MapPolyline.PatternStyle-">setPatternStyle</a></span>(<a href="../../../../../com/here/android/mpa/mapping/MapPolyline.PatternStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.PatternStyle</a> style)</code>
<div class="block">Sets new patter style for line/border.</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setPerspectiveEnabled-boolean-">setPerspectiveEnabled</a></span>(boolean enabled)</code>
<div class="block">Sets the width of this <code>MapPolyline</code> to be thinner further away when the map is tilted.</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setShadowColor-int-">setShadowColor</a></span>(int color)</code>
<div class="block">Sets a shadow color for this <code>MapPolyline</code>, using an ARGB (Alpha/Red/Green/Blue)
 integer color value.</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setShadowOffsets-float-float-">setShadowOffsets</a></span>(float offsetX,
                float offsetY)</code>
<div class="block">Sets shadow's offsets.</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setShadowShearFactor-float-">setShadowShearFactor</a></span>(float shearFactor)</code>
<div class="block">Sets shadow shear factor, coefficient of changing shifting the shadow from the polyline
 by X axis depending of tilt.</div>
</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setShadowSizeIncrement-float-">setShadowSizeIncrement</a></span>(float sizeIncrement)</code>
<div class="block">Sets shadow size increment, coefficient of the polyline`s shadow width changing in pixels.</div>
</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setShadowWidth-int-">setShadowWidth</a></span>(int width)</code>
<div class="block">Sets shadow width in pixels.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.here.android.mpa.mapping.MapObject">
<!--   -->
</a>
<h3>Methods inherited from class com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">MapObject</a></h3>
<code><a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getOverlayType--">getOverlayType</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getParent--">getParent</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getReserveOverlayType--">getReserveOverlayType</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getType--">getType</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getVisibleMask--">getVisibleMask</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getZIndex--">getZIndex</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#isVisible--">isVisible</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#resetVisibleMask-boolean-">resetVisibleMask</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setOverlayType-com.here.android.mpa.mapping.MapOverlayType-">setOverlayType</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setReserveOverlayType-com.here.android.mpa.mapping.MapOverlayType-">setReserveOverlayType</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setVisible-boolean-">setVisible</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setVisibleMask-int-">setVisibleMask</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setVisibleMask-int-int-">setVisibleMask</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setZIndex-int-">setZIndex</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#unsetVisibleMask-int-">unsetVisibleMask</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#unsetVisibleMask-int-int-">unsetVisibleMask</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.here.android.mpa.common.ViewObject">
<!--   -->
</a>
<h3>Methods inherited from class com.here.android.mpa.common.<a href="../../../../../com/here/android/mpa/common/ViewObject.html" title="class in com.here.android.mpa.common">ViewObject</a></h3>
<code><a href="../../../../../com/here/android/mpa/common/ViewObject.html#equals-java.lang.Object-">equals</a>, <a href="../../../../../com/here/android/mpa/common/ViewObject.html#getBaseType--">getBaseType</a>, <a href="../../../../../com/here/android/mpa/common/ViewObject.html#hashCode--">hashCode</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MapPolyline--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MapPolyline</h4>
<pre>public MapPolyline()</pre>
<div class="block">Creates a <code>MapPolyline</code>, which is a <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> in the shape of a polyline.</div>
</li>
</ul>
<a name="MapPolyline-com.here.android.mpa.common.GeoPolyline-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MapPolyline</h4>
<pre>public MapPolyline(<a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common">GeoPolyline</a> polyline)</pre>
<div class="block">Creates a <code>MapPolyline</code>, which is a <code>MapObject</code> in the shape of a polyline.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>polyline</code> - <code>GeoPolyline</code> to construct the <code>MapPolyline</code>.</dd>
</dl>
</li>
</ul>
<a name="MapPolyline-com.nokia.maps.MapPolylineImpl-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MapPolyline</h4>
<pre>protected MapPolyline(com.nokia.maps.MapPolylineImpl impl)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>impl</code> - The impl object to be constructed of.</dd>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setGeoPolyline-com.here.android.mpa.common.GeoPolyline-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGeoPolyline</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setGeoPolyline(<a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common">GeoPolyline</a> polyline)</pre>
<div class="block">Changes the GeoPolyline rendered by this <code>GeoPolyline</code></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>polyline</code> - GeoPolyline to be rendered</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
</dl>
</li>
</ul>
<a name="getGeoPolyline--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeoPolyline</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common">GeoPolyline</a> getGeoPolyline()</pre>
<div class="block">Gets copy of the <a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common"><code>GeoPolyline</code></a> rendered by this
 <code>MapPolyline</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>rendered <a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common"><code>GeoPolyline</code></a>.</dd>
</dl>
</li>
</ul>
<a name="isGeodesicEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isGeodesicEnabled</h4>
<pre>public boolean isGeodesicEnabled()</pre>
<div class="block">Returns a boolean indicating whether each segment of this <code>GeoPolyline</code> is drawn as a
 geodesic. By default, GeoDesic is disabled.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if <code>GeoPolyline</code> segments are drawn as a geodesic, false otherwise.</dd>
</dl>
</li>
</ul>
<a name="setGeodesicEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGeodesicEnabled</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setGeodesicEnabled(boolean enabled)</pre>
<div class="block">Set whether to draw each segment of the represented <code>GeoPolyline</code> as a geodesic.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - true if <code>GeoPolyline</code> segments will be drawn as a geodesic</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
</dl>
</li>
</ul>
<a name="enableShadow-int-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enableShadow</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> enableShadow(int width,
                                float shearFactor)</pre>
<div class="block">Enables shadow for this <code>MapPolyline</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - the width of the shadow in pixels.</dd>
<dd><code>shearFactor</code> - the coefficient of changing shifting the shadow from the polyline by X axis
         depending of tilt.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if width or shear factor is below zero.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setShadowColor-int-"><code>MapPolyline.setShadowColor(int)</code></a>, 
<a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#disableShadow--"><code>MapPolyline.disableShadow()</code></a>, 
<a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setShadowOffsets-float-float-"><code>MapPolyline.setShadowOffsets(float, float)</code></a>, 
<a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setShadowShearFactor-float-"><code>MapPolyline.setShadowShearFactor(float)</code></a>, 
<a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setShadowSizeIncrement-float-"><code>MapPolyline.setShadowSizeIncrement(float)</code></a></dd>
</dl>
</li>
</ul>
<a name="disableShadow--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>disableShadow</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> disableShadow()</pre>
<div class="block">Disables shadow for this <code>MapPolyline</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
</dl>
</li>
</ul>
<a name="isShadowEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isShadowEnabled</h4>
<pre>public boolean isShadowEnabled()</pre>
<div class="block">Returns a <code>boolean</code> indicating whether the shadow is enabled for this
 <code>MapPolyline</code> or not.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if shadow is enabled, false otherwise.</dd>
</dl>
</li>
</ul>
<a name="setShadowOffsets-float-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setShadowOffsets</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setShadowOffsets(float offsetX,
                                    float offsetY)</pre>
<div class="block">Sets shadow's offsets.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>offsetX</code> - shifting the shadow from the polyline by X axis in pixels.</dd>
<dd><code>offsetY</code> - shifting the shadow from the polyline by Y axis in pixels.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if offsetX or offsetY is below zero.</dd>
</dl>
</li>
</ul>
<a name="setShadowSizeIncrement-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setShadowSizeIncrement</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setShadowSizeIncrement(float sizeIncrement)</pre>
<div class="block">Sets shadow size increment, coefficient of the polyline`s shadow width changing in pixels.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sizeIncrement</code> - coefficient of the polyline`s shadow width changing.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if sizeIncrement is below zero.</dd>
</dl>
</li>
</ul>
<a name="getShadowSizeIncrement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShadowSizeIncrement</h4>
<pre>public float getShadowSizeIncrement()</pre>
<div class="block">Returns shadow size increment, coefficient of the polyline`s shadow width changing in pixels.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>coefficient of the polyline`s shadow width changing in pixels.</dd>
</dl>
</li>
</ul>
<a name="getShadowOffsetX--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShadowOffsetX</h4>
<pre>public float getShadowOffsetX()</pre>
<div class="block">Returns shadow offset from the polyline by X axis in pixels.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>offsetX</dd>
</dl>
</li>
</ul>
<a name="getShadowOffsetY--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShadowOffsetY</h4>
<pre>public float getShadowOffsetY()</pre>
<div class="block">Returns shadow offset from the polyline by Y axis in pixels.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>offsetY</dd>
</dl>
</li>
</ul>
<a name="setShadowShearFactor-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setShadowShearFactor</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setShadowShearFactor(float shearFactor)</pre>
<div class="block">Sets shadow shear factor, coefficient of changing shifting the shadow from the polyline
 by X axis depending of tilt.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>shearFactor</code> - the coefficient of changing shifting the shadow from the polyline by X axis
         depending of tilt.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if shearFactor is below zero.</dd>
</dl>
</li>
</ul>
<a name="getShadowShearFactor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShadowShearFactor</h4>
<pre>public float getShadowShearFactor()</pre>
<div class="block">Returns shadow shear factor, coefficient of changing shifting the shadow from the
 polyline by X axis.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>coefficient of changing shifting the shadow from the polyline by X axis</dd>
</dl>
</li>
</ul>
<a name="setShadowWidth-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setShadowWidth</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setShadowWidth(int width)</pre>
<div class="block">Sets shadow width in pixels.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - in pixels.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if width is below zero.</dd>
</dl>
</li>
</ul>
<a name="getShadowWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShadowWidth</h4>
<pre>public int getShadowWidth()</pre>
<div class="block">Return shadow width in pixels.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>shadow width in pixels.</dd>
</dl>
</li>
</ul>
<a name="setShadowColor-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setShadowColor</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setShadowColor(int color)</pre>
<div class="block">Sets a shadow color for this <code>MapPolyline</code>, using an ARGB (Alpha/Red/Green/Blue)
 integer color value. The default line color is <code>Color.BLUE</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>color</code> - The ARGB integer color value. The packed integer is made up of 4 bytes: alpha,
         red, green, blue. Each color component has a value range from [0..255] with 0
         meaning no contribution for that component, and 255 meaning 100% contribution.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://developer.android.com/reference/android/graphics/Color.html" target="_blank">android.graphics.Color</a></dd>
</dl>
</li>
</ul>
<a name="getShadowColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShadowColor</h4>
<pre>public int getShadowColor()</pre>
<div class="block">Gets the current shadow color for this <code>MapPolyline</code>, returning an ARGB
 (Alpha/Red/Green/Blue) integer color value.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current ARGB integer color value. The packed integer is made up of 4 bytes:
 alpha, red, green, blue. Each color component has a value range from [0..255], with 0
 meaning no contribution for that component and 255 meaning 100% contribution.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://developer.android.com/reference/android/graphics/Color.html" target="_blank">android.graphics.Color</a></dd>
</dl>
</li>
</ul>
<a name="setLineColor-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLineColor</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setLineColor(int color)</pre>
<div class="block">Sets a line color for this <code>MapPolyline</code>, using an ARGB (Alpha/Red/Green/Blue) integer
 color value. The default line color is <code>Color.BLUE</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>color</code> - The ARGB integer color value. The packed integer is made up of 4 bytes: alpha,
            red, green, blue. Each color component has a value range from [0..255] with 0
            meaning no contribution for that component, and 255 meaning 100% contribution.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://developer.android.com/reference/android/graphics/Color.html" target="_blank">android.graphics.Color</a></dd>
</dl>
</li>
</ul>
<a name="getLineColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLineColor</h4>
<pre>public int getLineColor()</pre>
<div class="block">Gets the current line color for this <code>MapPolyline</code>, returning an ARGB
 (Alpha/Red/Green/Blue) integer color value.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current ARGB integer color value. The packed integer is made up of 4 bytes:
         alpha, red, green, blue. Each color component has a value range from [0..255], with 0
         meaning no contribution for that component and 255 meaning 100% contribution.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://developer.android.com/reference/android/graphics/Color.html" target="_blank">android.graphics.Color</a></dd>
</dl>
</li>
</ul>
<a name="setLineWidth-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLineWidth</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setLineWidth(int width)</pre>
<div class="block">Sets a line width, in pixels, for this <code>MapPolyline</code>, an <code>int</code>
 value within the [0..100] range. By default, the line width is 1.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - Desired width of the line defining the <code>MapPolyline</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - is width is out of range.</dd>
</dl>
</li>
</ul>
<a name="getLineWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLineWidth</h4>
<pre>public int getLineWidth()</pre>
<div class="block">Returns the current line width for this <code>MapPolyline</code>, in pixels.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current line width for this <code>MapPolyline</code>.</dd>
</dl>
</li>
</ul>
<a name="isDashEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDashEnabled</h4>
<pre>@Deprecated
public boolean isDashEnabled()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> <span class="deprecationComment">out of SDK version 3.9
               please use <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getCustomPattern--"><code>MapPolyline.getCustomPattern()</code></a> with <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.PatternStyle.html#DASH_PATTERN"><code>MapPolyline.PatternStyle.DASH_PATTERN</code></a>.</span></div>
<div class="block">Returns a <code>boolean</code> indicating whether the <code>MapPolyline</code> appears as
  a dashed line. By default, dash is disabled.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if the <code>MapPolyline</code> is dashed, false otherwise.</dd>
</dl>
</li>
</ul>
<a name="setDashEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDashEnabled</h4>
<pre>@Deprecated
public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setDashEnabled(boolean enabled)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> <span class="deprecationComment">out of SDK version 3.9
               please use <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setCustomPattern-com.here.android.mpa.common.Image-"><code>MapPolyline.setCustomPattern(com.here.android.mpa.common.Image)</code></a> with <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.PatternStyle.html#DASH_PATTERN"><code>MapPolyline.PatternStyle.DASH_PATTERN</code></a>.</span></div>
<div class="block">Sets the appearance of this <code>MapPolyline</code> as either a dashed or solid line.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - A <code>boolean</code> specifying whether the <code>MapPolyline</code> should
            be dashed.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
</dl>
</li>
</ul>
<a name="getDashPrimaryLength--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDashPrimaryLength</h4>
<pre>public int getDashPrimaryLength()</pre>
<div class="block">Returns the current length of the primary dash segment of a dashed
 <code>MapPolyline</code>, in pixels.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current length of the primary dash.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getDashSecondaryLength--"><code>MapPolyline.getDashSecondaryLength()</code></a></dd>
</dl>
</li>
</ul>
<a name="setDashPrimaryLength-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDashPrimaryLength</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setDashPrimaryLength(int length)</pre>
<div class="block">Sets a length, in pixels, for the primary dash segment of a dashed
 <code>MapPolyline</code>. By default, the primary dash length is 1.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>length</code> - Desired length of the primary dash</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if <code>length</code> is less than or equal to 0.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setDashSecondaryLength-int-"><code>MapPolyline.setDashSecondaryLength(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="isExtrusionEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isExtrusionEnabled</h4>
<pre>public boolean isExtrusionEnabled()</pre>
<div class="block">Returns status of extrusion is it enabled or not.

 IMPORTANT: this is a BETA feature, and is subject to change without notice.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if extrusion enabled, false otherwise.</dd>
</dl>
</li>
</ul>
<a name="setExtrusionEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExtrusionEnabled</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setExtrusionEnabled(boolean enabled)</pre>
<div class="block">Turns extrusion flag ON/OFF.

 IMPORTANT: this is a BETA feature, and is subject to change without notice.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - Used to turn option ON (true) of OFF (false).</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>self reference for convenience.</dd>
</dl>
</li>
</ul>
<a name="getDashSecondaryLength--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDashSecondaryLength</h4>
<pre>public int getDashSecondaryLength()</pre>
<div class="block">Returns the current length of the secondary (empty) dash segments of a dashed
 <code>MapPolyline</code>, in pixels.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current length of the empty dash.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#getDashPrimaryLength--"><code>MapPolyline.getDashPrimaryLength().</code></a></dd>
</dl>
</li>
</ul>
<a name="setDashSecondaryLength-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDashSecondaryLength</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setDashSecondaryLength(int length)</pre>
<div class="block">Sets a length, in pixels, for the secondary (empty) dash segments of a dashed
 <code>MapPolyline</code>. By default, the secondary dash length is 1.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>length</code> - Desired length of the empty dash.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if <code>length</code> is less than or equal  0.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#setDashPrimaryLength-int-"><code>MapPolyline.setDashPrimaryLength(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="setCapStyle-com.here.android.mpa.mapping.MapPolyline.CapStyle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCapStyle</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setCapStyle(<a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.CapStyle</a> style)</pre>
<div class="block">Sets the <code>MapPolyline</code> rendering cap style.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>style</code> - <code>CapStyle</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
</dl>
</li>
</ul>
<a name="getCapStyle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCapStyle</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.CapStyle</a> getCapStyle()</pre>
<div class="block">Gets the <code>MapPolyline</code> rendering cap style.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>CapStyle</code> cap style.</dd>
</dl>
</li>
</ul>
<a name="setDepthTestEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDepthTestEnabled</h4>
<pre>public void setDepthTestEnabled(boolean enabled)</pre>
<div class="block">Set whether to render <code>MapPolyline</code> with depth test.
 <p>
 Rendering with depth test should be used if map object altitude is relevant in your
 application. Rendering objects with different heights while disabling depth test may cause
 object occlusion.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - true if <code>MapPolyline</code> is rendered with depth test.</dd>
</dl>
</li>
</ul>
<a name="getDepthTestEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDepthTestEnabled</h4>
<pre>public boolean getDepthTestEnabled()</pre>
<div class="block">Returns a <code>boolean</code> indicating whether the <code>MapPolyline</code> is rendered
 with depth test. By default, depth test is disabled.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if the <code>MapPolyline</code> is rendered with depth test,
             false otherwise.</dd>
</dl>
</li>
</ul>
<a name="setOutlineColor-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOutlineColor</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setOutlineColor(int color)</pre>
<div class="block">Sets an outline color for this <code>MapPolyline</code>, using an ARGB (Alpha/Red/Green/Blue)
 integer color value. The default line color is <code>Color.TRANSPARENT</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>color</code> - The ARGB integer color value. The packed integer is made up of 4 bytes: alpha,
            red, green, blue. Each color component has a value range from [0..255] with 0
            meaning no contribution for that component, and 255 meaning 100% contribution</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://developer.android.com/reference/android/graphics/Color.html" target="_blank">android.graphics.Color</a></dd>
</dl>
</li>
</ul>
<a name="getOutlineColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutlineColor</h4>
<pre>public int getOutlineColor()</pre>
<div class="block">Gets the current outline color for this <code>MapPolyline</code>, returning an ARGB
 (Alpha/Red/Green/Blue) integer color value.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current ARGB integer color value. The packed integer is made up of 4 bytes:
         alpha, red, green, blue. Each color component has a value range from [0..255], with 0
         meaning no contribution for that component and 255 meaning 100% contribution.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://developer.android.com/reference/android/graphics/Color.html" target="_blank">android.graphics.Color</a></dd>
</dl>
</li>
</ul>
<a name="setOutlineWidth-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOutlineWidth</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setOutlineWidth(int width)</pre>
<div class="block">Sets an outline width, in pixels, for this <code>MapPolyline</code>, an <code>int</code>
 value within the [0..100] range. By default, the line width is 0.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - Desired width of the outline defining the <code>MapPolyline</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapPolyline</code> itself.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>{@link</code> - IllegalArgumentException} if width is out of range.</dd>
</dl>
</li>
</ul>
<a name="getOutlineWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutlineWidth</h4>
<pre>public int getOutlineWidth()</pre>
<div class="block">Returns the current outline width for this <code>MapPolyline</code>, in pixels.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current line width for child of <code>MapPolyline</code>.</dd>
</dl>
</li>
</ul>
<a name="isPerspectiveEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPerspectiveEnabled</h4>
<pre>public boolean isPerspectiveEnabled()</pre>
<div class="block">Returns a <code>boolean</code> indicating whether the <code>MapPolyline</code> appears thinner further
 away when the map is tilted. By default, perspective is disabled.

 IMPORTANT: this is a BETA feature, and is subject to change without notice.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if the <code>MapPolyline</code> has perspective enabled, <code>false</code>
              otherwise.</dd>
</dl>
</li>
</ul>
<a name="setPerspectiveEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPerspectiveEnabled</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setPerspectiveEnabled(boolean enabled)</pre>
<div class="block">Sets the width of this <code>MapPolyline</code> to be thinner further away when the map is tilted.

 IMPORTANT: this is a BETA feature, and is subject to change without notice.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - A <code>boolean</code> specifying whether the <code>MapPolyline</code> should have
            perspective enabled.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated child of <code>MapPolyline</code> itself.</dd>
</dl>
</li>
</ul>
<a name="setPatternStyle-com.here.android.mpa.mapping.MapPolyline.PatternStyle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPatternStyle</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setPatternStyle(<a href="../../../../../com/here/android/mpa/mapping/MapPolyline.PatternStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.PatternStyle</a> style)</pre>
<div class="block">Sets new patter style for line/border.

 IMPORTANT: this is a BETA feature, and is subject to change without notice.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>style</code> - one of <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.PatternStyle.html" title="enum in com.here.android.mpa.mapping"><code>MapPolyline.PatternStyle</code></a> available.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated child of <code>MapPolyline</code> itself.</dd>
</dl>
</li>
</ul>
<a name="getPatternStyle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPatternStyle</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.PatternStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.PatternStyle</a> getPatternStyle()</pre>
<div class="block">Method retrieves current pattern of line/border.

 IMPORTANT: this is a BETA feature, and is subject to change without notice.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>current <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.PatternStyle.html" title="enum in com.here.android.mpa.mapping"><code>MapPolyline.PatternStyle</code></a> value.</dd>
</dl>
</li>
</ul>
<a name="setCustomPattern-com.here.android.mpa.common.Image-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCustomPattern</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a> setCustomPattern(<a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a> icon)</pre>
<div class="block">Specifies patter image.

 IMPORTANT: this is a BETA feature, and is subject to change without notice.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>icon</code> - image to be used as pattern, it is recommended to use icons with dimensions
              which are pow of 2.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated child of <code>MapPolyline</code> itself.</dd>
</dl>
</li>
</ul>
<a name="getCustomPattern--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getCustomPattern</h4>
<pre>public final <a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a> getCustomPattern()</pre>
<div class="block">Returns pattern image.

 IMPORTANT: this is a BETA feature, and is subject to change without notice.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common"><code>Image</code></a> object with previously user defined pattern.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapPolyline.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/MapPolygon.PatternStyle.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/MapPolyline.html" target="_top">Frames</a></li>
<li><a href="MapPolyline.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
